/*******************************************************************************
*                                                                              *
* Société de Transports de Montréal.                                    	   *
* 2012                                                                         *
*                                                                              *
* Projet Zones Tests                                                           *
*                                                                              *
*                                                                              *
*                                                                              *
*******************************************************************************/
/*
    Description:
    Description du fichier si nécessaire.

*/

/* ************************************************************************** */
/* Revision:
### 20131024 JFM
    Verision d'origine.

### YYYMMDD Description du besoin ou du bug
    Description du changement.
 */

/* ************************************************************************** */


#ifndef NETWORKZTLISTPAGE_H
#define NETWORKZTLISTPAGE_H

#include "GlobalDefine.h"
#include <QGraphicsWidget>
#include "Guipage.h"
#include <QString>
#include "PushButton.h"
#include "TextButtonWidget.h"
#include <QTableWidget>
#include <QCheckBox>
#include <QComboBox>
#include "ZTData.h"


class COutilZT;

class CNetworkZTListPage : public CGuiPage
{
Q_OBJECT
public:
    virtual ~CNetworkZTListPage();
    CNetworkZTListPage(QGraphicsWidget *Parent = 0);


    COutilZT *mProgramHandle;

    unsigned int RefreshList();
    unsigned int SetConfig(CSettingsData *SettingsData);
    int GetSelectedZT();

	virtual void resizeEvent(QGraphicsSceneResizeEvent *event);
	virtual void mousePressEvent(QGraphicsSceneMouseEvent *event);
	virtual void mouseReleaseEvent(QGraphicsSceneMouseEvent *event);



private:

    QTableWidget *mZTListTable;

	void ClearTable();



public slots:
	void ButtonClicked(CTextButtonWidget *);
    void ZTListTableCellClicked(int, int);
    void ZTListTableCellSelected(int,int,int,int);
    void TableDoubleClicked(int,int);
    void ZTNetworkStatusChanged(int,int);

//    void ParsingTimerExipred();

};

#endif // NETWORKZTLISTPAGE_H
